
Infrastructure - Task #6051

Task # 6039 (Closed): Migrate all CN component POMs to Java 1.7 for support of the DataONE API v2

Update bcmail and bcprov jar in cicore components.

2014-08-19 18:28 - Jing Tao

Status: Closed Start date: 2014-08-19

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

In order to fix the compilation issue in d1_cn_rest component, we used a newer version of bcmail and bcprov jar files: bcmail-jdk15on

and bcprov-jdk15on.

The following modules still use the bcmail-jdk16 and bcprov-jdk16 jars:

cn/d1_log_aggregation

cn/d1_solr_extensions

d1_libclient_java

d1_certificate_manager

we need to update them.

Subtasks:

Task # 6052: Update dataone-cn-os-core to install the new version bcmail and bcprov jar... Closed

History

#1 - 2014-08-19 18:30 - Jing Tao

- Assignee set to Jing Tao

Robert updated the two components:

d1_libclient_java

d1_certificate_manager

and I need to update the rest.

#2 - 2014-08-19 18:51 - Jing Tao

I updated d1_log_aggregation and d1_solr_extension modules. They are working right now.

#3 - 2014-08-20 01:39 - Jing Tao

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0
